package com.xt.hb.gis.ctl;

import org.springframework.flex.remoting.RemotingDestination;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.xt.hb.gis.common.BusinessContext;

@Controller
@RemotingDestination("mainCtl")
public class MainCtl extends BaseCtl {

	@RequestMapping("main")
	public String main() {
		return "Main";
	}

	/**
	 * 用户登录处理
	 * 
	 * @param usercode
	 * @param password
	 * @return
	 */
	public BusinessContext doLogin(String usercode, String password) {
		BusinessContext bc = new BusinessContext();
		bc.setAttribute("success", true);
		return bc;
	}
}
